package cz.moneta.test.dsl.newib.mainpage;

import cz.moneta.test.dsl.newib.NewIbPageFlow;
import cz.moneta.test.dsl.newib.components.VerticalMainMenu;
import cz.moneta.test.harness.support.web.Click;
import cz.moneta.test.harness.support.web.Lookup;
import cz.moneta.test.harness.support.web.Wait;

@Wait(value = CardsOnboardingWelcomingPage.CARDS_ONBOARDING_WELCOMING_XPATH, by = Lookup.XPATH, waitSecondsForElement = 60)
public interface CardsOnboardingWelcomingPage extends NewIbPageFlow<CardsOnboardingWelcomingPage>, VerticalMainMenu {

    String CARDS_ONBOARDING_WELCOMING_XPATH = "//h1[@class='t-title t-title--h4 u-mb--xxLarge'][text()='Jaká by měla být Vaše debetní karta?']";
    String PLASTIC_CARD_FREE_XPATH = "//button[text()='Plastová – ZDARMA']";
    String VIRTUAL_CARD_FREE_XPATH = "//button[text()='Virtuální – ZDARMA']";
    String DONT_WANT_TO_PAY_FASTER_BUTTON_XPATH = "//button[text()='Nechci platit rychleji']";
    String CONTINUE_BUTTON_XPATH = "//button[text()='Pokračovat']";


    @Click(PLASTIC_CARD_FREE_XPATH)
    CardsOnboardingWelcomingPage clickPlasticCardFreeButton();

    @Click(VIRTUAL_CARD_FREE_XPATH)
    CardsOnboardingWelcomingPage clickVirtualCardFreeButton();

    @Click(DONT_WANT_TO_PAY_FASTER_BUTTON_XPATH)
    CardsOnboardingEditingPage clickDontWantToPayFasterButton();
}
